package com.fkzy.warn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fkzy.warn.common.constants.EntityConstants;
import com.fkzy.warn.mapper.LimitationMapper;
import com.fkzy.warn.service.LimitationService;
import com.fkzy.warn.model.Limitation;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
@Service
public class LimitationServiceImpl extends ServiceImpl<LimitationMapper, Limitation> implements
    LimitationService {


    @Override
    public void saveModel(Limitation entity, String ticket) {
        save(entity);
    }

    @Override
    public void updateModel(Limitation entity,String ticket) {
        this.updateById(entity);
    }

    @Override
    public void deleteModel(List<String> ids) {
        Limitation entity = new Limitation();
        entity.setIsDel(EntityConstants.DEL);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id", ids);
        update(entity, wrapper);
    }


}
